=== debian/changelog ===
testkraut (0.0.1-1~nd12.10+1+nd13.04+1) raring; urgency=low

  * Backported for raring.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 28 Apr 2013 23:24:40 -0400

testkraut (0.0.1-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Applied additional patch from debian/patches/quantal-dsc-
    patch_obsolete_argparse.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 16 Nov 2012 09:45:14 -0500

testkraut (0.0.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #).

 -- Michael Hanke <mih@debian.org>  Fri, 15 Oct 2010 08:20:14 -0400
